<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject java.util.List&lt;com.intellij.lang.typescript.tsc.refreshable.TscRefreshableType&lt;R&gt;&gt; getTypesUnordered(kotlin.jvm.functions.Function1&lt;? super T,? extends java.util.List&lt;? extends R&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.190&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject.Companion void logError$intellij_javascript_backend(java.lang.String, java.lang.Throwable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject.Companion void logError$intellij_javascript_backend(java.lang.String, java.lang.Throwable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.22441.33&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TypeKey">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.190&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscObjectNullablePropertyPointer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableSymbol">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscObjectMapEntryPointer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.190&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject com.intellij.lang.typescript.tsc.gen.TypeScriptServerTypeCheckerContext getIdeTypeCheckerContext$intellij_javascript_impl()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject java.util.List&lt;com.intellij.lang.typescript.tsc.refreshable.TscRefreshableType&lt;R&gt;&gt; tryGetTypesUnordered(kotlin.jvm.functions.Function1&lt;? super T,? extends java.util.List&lt;? extends R&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.190&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject com.intellij.lang.typescript.tsc.gen.TypeScriptServerTypeCheckerContext getIdeTypeCheckerContext$intellij_javascript_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject java.util.List&lt;com.intellij.lang.typescript.tsc.refreshable.TscRefreshableType&lt;R&gt;&gt; getTypes(kotlin.jvm.functions.Function1&lt;? super T,? extends java.util.List&lt;? extends R&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject boolean refresh()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableIndexInfo">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject java.util.Map&lt;kotlin.jvm.functions.Function1&lt;T,java.util.List&lt;com.intellij.lang.typescript.tsc.gen.Symbol&gt;&gt;,kotlin.Pair&lt;java.util.List&lt;com.intellij.lang.typescript.tsc.gen.Symbol&gt;,java.util.Map&lt;java.lang.String,com.intellij.lang.typescript.tsc.gen.Symbol&gt;&gt;&gt; getSymbolMapCache()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.IndexInfoKey IndexInfoKey(com.intellij.lang.typescript.tsc.refreshable.TypeKey, kotlin.Pair&lt;com.intellij.lang.typescript.compiler.languageService.protocol.commands.Position,java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.22441.33&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject java.util.List&lt;com.intellij.lang.typescript.tsc.refreshable.TscRefreshableType&lt;R&gt;&gt; tryGetTypesOrdered(kotlin.jvm.functions.Function1&lt;? super T,? extends java.util.List&lt;? extends R&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.190&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.SignatureKey">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.190&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject.GetCachedMapProvider GetCachedMapProvider(kotlin.jvm.functions.Function1&lt;? super T,? extends java.util.List&lt;? extends R&gt;&gt;, kotlin.jvm.functions.Function1&lt;? super R,? extends K&gt;, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.190&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscObjectPointer T getValue()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableType.FreshPropertiesAccessor R invoke(T)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableSymbol com.intellij.javascript.types.TSType buildTypeOfSymbol()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.IndexInfoKey IndexInfoKey(com.intellij.lang.typescript.tsc.refreshable.TypeKey)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.22441.33&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscObjectPointer T getValue(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.190&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableType.FreshPropertiesAccessor FreshPropertiesAccessor(kotlin.jvm.functions.Function1&lt;? super T,? extends R&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscFreshDeclaration">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableType">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscObjectListItemIndexedPointer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.SymbolKey">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.190&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject com.intellij.lang.typescript.tsc.refreshable.TscObjectPointer&lt;?,T&gt; getTscObjectPointer$intellij_javascript_impl()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.IndexInfoKey com.intellij.lang.typescript.tsc.refreshable.IndexInfoKey copy(com.intellij.lang.typescript.tsc.refreshable.TypeKey)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.22441.33&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject.Companion void logWarning$intellij_javascript_backend(java.lang.String, java.lang.Throwable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject.Companion void logWarning$intellij_javascript_backend(java.lang.String, java.lang.Throwable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject boolean refresh$intellij_javascript_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableType boolean loadTypeProperties()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.190&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableType void loadTypeProperties()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.22441.33&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableSymbolKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableSignature">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject.Companion void logError$intellij_javascript_impl(java.lang.Throwable, kotlin.jvm.functions.Function0&lt;java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.190&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject.Companion void logError$intellij_javascript_impl(java.lang.Throwable, kotlin.jvm.functions.Function0&lt;java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.IndexInfoKey kotlin.Pair&lt;com.intellij.lang.typescript.compiler.languageService.protocol.commands.Position,java.lang.String&gt; getDeclaration()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.22441.33&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableSymbol com.intellij.lang.javascript.psi.JSType buildTypeOfSymbol()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscObjectPointer boolean shouldIgnoreErrorRefreshing()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.190&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.IndexInfoKey com.intellij.lang.typescript.tsc.refreshable.TypeKey component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.22441.33&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.IndexInfoKey">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.190&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableTypeKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscObjectNonNullPropertyPointer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject boolean refresh$intellij_javascript_impl()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.27397.28&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject boolean refresh$intellij_javascript_impl()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject java.util.List&lt;com.intellij.lang.typescript.tsc.refreshable.TscRefreshableType&lt;R&gt;&gt; tryGetTypes(kotlin.jvm.functions.Function1&lt;? super T,? extends java.util.List&lt;? extends R&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject.GetCachedMapProvider java.util.Map&lt;K,R&gt; invoke(T)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.190&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject MAX_RETRY_COUNT">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableType com.intellij.lang.typescript.tsc.refreshable.TscRefreshableSymbol getTypeProperty(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscObjectPointer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscSymbolMapEntryPointer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscSymbolMapEntryPointer">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObjectKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.190&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TypeScriptCompilerReadActionKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TypeScriptCompilerReadActionKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.22441.33&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject com.intellij.lang.typescript.tsc.refreshable.TscObjectPointer&lt;?,T&gt; getTscObjectPointer$intellij_javascript_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject.Companion void logError$intellij_javascript_backend(java.lang.Throwable, kotlin.jvm.functions.Function0&lt;java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.22441.33&quot;"/>
    </annotation>
  </item>
</root>
